%global srcname cachelib

Name:           python-%{srcname}
Version:        0.10.0
Release:    1%{?dist}
Summary:        A collection of cache libraries with a common API

License:        BSD-3-Clause
URL:            https://pypi.org/project/cachelib/
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
A collection of cache libraries with a common API.

Extracted from Werkzeug.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  memcached
BuildRequires:  redis
BuildRequires:  python3-devel
BuildRequires:  python3-pylibmc
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-xprocess
BuildRequires:  python3-redis
BuildRequires:  python3dist(setuptools)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cachelib


%check
%pytest -v -r s -k 'not Uwsgi and not DynamoDb'


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.0-1
- initial build
